tigase.jaxmpp.android

## Class AndroidDNSResolver

- java.lang.Object
- - tigase.jaxmpp.android.AndroidDNSResolver

- All Implemented Interfaces:
    SocketConnector.DnsResolver

      public class AndroidDNSResolver
      extends Object
      implements SocketConnector.DnsResolver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AndroidDNSResolver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<SocketConnector.Entry>` | `resolve(String hostname)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AndroidDNSResolver

          public AndroidDNSResolver()

  - ### Method Detail

    - #### resolve

          public List<SocketConnector.Entry> resolve(String hostname)

      Specified by:
        `resolve` in interface `SocketConnector.DnsResolver`

Copyright © 2006–2020 Tigase. All rights reserved.